Subject: RE: [midcom] More bullets

From: John LaCour <[email-masked]>
Date: Thu, 27 Sep 2001 17:12:44 -0700

> -----Original Message-----
> From: Scott Brim [mailto:[email-masked]]
> Sent: Thursday, September 27, 2001 3:17 PM
> To: midcom
> Subject: Re: [midcom] More bullets
> 
> 
> On Thu, Sep 27, 2001 02:33:21PM -0700, John LaCour allegedly wrote:
> > My understanding was the same as Bob Penfield's - that this is
> > trying to say that you don't need to set up multiple MIDCOM
> > sessions to request different types of rulesets be installed
> 
> A requirement phrased exactly like that would be acceptable.  
> 
> > (or functions if you prefer).

Ok how about:

The protocol MUST support the ability of an agent to use one
MIDCOM session to install different types of rulesets in the
same middlebox.

> "Function" doesn't imply "ruleset" at all.  The closest you 
> can come is
> that "function" refers to something like NAT or firewall.  In 
> both those
> cases the mechanism for "accessing" it is by communicating about
> rulesets.  That takes you back to your first, very 
> acceptable, phrasing,
> up top.  
> 
> > We also need to change this to reflect a requirement of the
> > protocol and not the agent.  Also, ought should be changed to
> > MUST.  I offer a slight variation on Bob Penfield's text:
> 
> (Protocols have requirements??)

Ok, probably should have said that we should be clear that we're
talking about requirements that the protocol must support, not
trying to dictate agent implementation.  Obviously the two are
not mutually exclusive.  I'm more comfortable saying that the
protocol must or must not allow something than the agent must do
something.  Just a personal nit.

-John

_______________________________________________
midcom mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/midcom

---

From: Scott Brim <[email-masked]>
Date: Fri, 28 Sep 2001 08:23:35 -0400

> MIDCOM session to install different types of rulesets in the

I question "types of rulesets".  There is probably only one "type" of
ruleset, with multiple possible action rules (which may or may not be
more than one type).

Then again, this isn't some ITU standard we're working on here, it's
just requirements for the next working group, so the above is good
enough.